import request from "@/utils/request";


//	添加训练记录
export function addXljl(data = {}) {
  return request({
    url: "/mosty-api/mosty-jcgl/xljl",
    method: "post",
    data
  });
}
export function getXljlById(id) {
  return request({
    url: `/mosty-api/mosty-jcgl/xljl/${id}`,
    method: "get",
  });
}
export function getXljlList(params = {}) {
  return request({
    url: "/mosty-api/mosty-jcgl/xljl/getListByXfid",
    method: "get",
    params
  });
}


export function updateXljl(data = {}) {
  return request({
    url: "/mosty-api/mosty-jcgl/xljl",
    method: "put",
    data
  });
}
export function deleteXljl(data = {}) {
  return request({
    url: "/mosty-api/mosty-jcgl/xljl",
    method: "delete",
    data
  });
}




//获取用户所属区域数据
export function getUserArea(params = {}) {
  return request({
    url: "/mosty-api/mosty-base/other/getGajg",
    method: "post",
    params
  });
}
//获取分值列表数据
export function getSelectPzfz(params = {}) {
  return request({
    url: "/mosty-api/mosty-jcgl/fzpz/selectPzfzByPzrxm",
    method: "get",
    params
  });
}

//新增分值数据
export function addPzfz(data = {}) {
  return request({
    url: "/mosty-api/mosty-jcgl/fzpz/addPzfz",
    method: "post",
    data
  });
}

//修改分值数据
export function updatePzfz(data = {}) {
  return request({
    url: "/mosty-api/mosty-jcgl/fzpz/editEntity",
    method: "put",
    data
  });
}

//删除分值数据
export function deletePzfz(id) {
  return request({
    url: `/mosty-api/mosty-jcgl/fzpz/deleteEntity/${id}`,
    method: "delete",
  });
}


